# clear-dependency-cache

## Purpose

Removes one or more libraries (JARs) from the dependency cache.

## Examples

       griffon clear-dependency-cache group=org.springframework name=spring-beans

## Description

Griffon keeps a cache of all dependencies it loads when building an application. Sometimes one of these dependencies must be refreshed, however that won't happen automatically if the dependency version is not marked as snapshot one, i.e, the version number ends with the tag -SNAPSHOT. In these cases the dependency must be removed from the cache.

Usage: griffon environment* clear-dependency-cache options

Options:

- `all` - Deletes the whole cache.
- `griffon` - Deletes all Griffon libraries, including plugins.
- `group` - Deletes all libraries with a matching group.
- `name` - Deletes all libraries with a matching name and group. A value for --group must be specified too.
- `plugins` - Deletes all Griffon plugin libraries.